Skip to main content
POST
Steer an active reply with one pending user turn

Headers

x-user-id
string
required

Caller's user ID. Temporary header-based identity; will be replaced by JWT auth.

Path Parameters

item_id
string
required

Stable id of the pending item to inject.

Body

application/json

Reserve one pending input for a currently active reply.

agent_id
string
required

Agent that owns the target session.

session_id
string
required

Session whose pending item will steer the reply.

reply_id
string
required

Active reply that should consume the pending item.

Response

Successful Response

Current editable FIFO snapshot for a session.

items
ChatQueueItem · object[]
required

Editable pending turns in FIFO execution order.